This directory contains sample data files, if available, that ``specviz`` can
load using the loaders that are packaged with the software.
Due to proprietary nature of some data used for testing, not all data files
are currently available; They are listed as "N/A" in the table below.
By inspecting the respective data format and its associated YAML file, user
should be able to create their own YAML files for custom formats.

The 'linelists' sub-directory contains spectral line lists used by ``specviz``
to plot line identifications.


| Data File | Data Type | YAML File | Provided By |
| --- | --- | --- | --- |
| generic_spectra.txt | ASCII (*.txt *.dat) | ascii.yaml | Pey Lian Lim (@pllim) |
| generic_spectra.fits | Generic Fits (*.fits *.mits) | generic.yaml | Nicholas Earl (@nmearl) |
| spec1d.1245.066.12004136.fits | Keck/DEIMOS Fits (*.fits *.mits) | keck_deimos.yaml | Susan Kassin (@kassin) |
| spec1d.gds1312_H0.003.emp26177.fits | Keck/MOSFIRE Fits (*.fits *.mits) | keck_mosfire.yaml | Susan Kassin (@kassin) and Raymond Simons (@RaymondSimons)|
| N/A | HST/COS Fits (*.fits *.mits) | hst_cos.yaml | Gisella de Rosa (@gderosa2004) |
| N/A | KittPeak/MDM Fits (*.fits *.mits) | kittpeak_mdm.yaml | Gisella de Rosa (@gderosa2004) |
